Developer Overview

Welcome to the OneLogin API. This API is based on RESTful principles, is secured by OAuth 2.0, and provides JSON messages, search, pagination, sorting, and filtering.

API Domain

The OneLogin API uses your subdomain as the API Domain. This is the same address you would use to login to OneLogin.

<subdomain>.onelogin.com

Versioning

The version number for the api is indicated in the url. Versioning starts at 1 and increases as we make major changes to any of the APIs or their payloads. It is recommended to always use the latest version. For example, Get Users API is currently on version 1 GET /api/1/users where as Get Apps API is on version 2 GET /api/2/apps.

Job System Delays

Most API calls are handled by the job system immediately. However, in some circumstances, it may take up to 5 minutes for a queued API job to be handled by the job system.